IntelliCAD 11.1 Object Library
AddArc Method
See Also 
Center

A Point object representing the center of the arc.

Radius
A double-precision variable or number representing the radius of the arc.
StartAngle
A double-precision variable or number representing the starting angle of the arc.
EndAngle
A double-precision variable or number representing the ending angle of the arc.
PaperSpace Collection : AddArc Method

Description

Adds an Arc given the center, radius, start angle and end angle.

Syntax

Visual Basic
Public Function AddArc( _
   ByVal Center As Point, _
   ByVal Radius As Double, _
   ByVal StartAngle As Double, _
   ByVal EndAngle As Double _
) As Arc

Parameters

Center

A Point object representing the center of the arc.

Radius
A double-precision variable or number representing the radius of the arc.
StartAngle
A double-precision variable or number representing the starting angle of the arc.
EndAngle
A double-precision variable or number representing the ending angle of the arc.

Example

Private Sub AddArcExample()

     ' This example adds an arc to the drawing using the AddArc method.

     Dim icadDoc As Document

     Dim myArc As Arc

     Dim cenPt As Point

     Set icadDoc = ActiveDocument

     Set cenPt = Library.CreatePoint(4, 2)

     'Add the arc to the .dwg

     Set myArc = icadDoc.ModelSpace.AddArc(cenPt, 3, 1, 3)

     ' Display the entity

     myArc.Update

     ThisDocument.Application.ZoomExtents

     MsgBox "Arc created w/ center point at 4,2."

End Sub

See Also

© 2022 IntelliCAD Technology Consortium. All Rights Reserved.